.add-icon {
  position: relative;
  width: 100%;
  height: 100%;

  &::before,
  &::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50%;
    height: 6px;
    border-radius: 8px;
    background: var(--app-button-text);
  }

  &::before {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  &::after {
    transform: translate(-50%, -50%) rotate(90deg);
  }

  &.small {
    &::before,
    &::after {
      height: 3px;
      width: 70%;
    }
  }
  &.very-small {
    &::before,
    &::after {
      height: 3px;
      width: 50%;
    }
  }
}

.clear-icon {
  position: relative;
  width: 100%;
  height: 100%;

  &::before,
  &::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50%;
    height: 6px;
    border-radius: 8px;
    background: var(--app-button-text);
  }

  &::before {
    transform: translate(-50%, -50%) rotate(45deg);
  }
  &::after {
    transform: translate(-50%, -50%) rotate(-45deg);
  }

  &.small {
    &::before,
    &::after {
      height: 3px;
      width: 70%;
    }
  }
  &.very-small {
    &::before,
    &::after {
      height: 3px;
      width: 50%;
    }
  }
}

.arrow-toggle-icon {
  position: relative;
  width: 100%;
  height: 100%;
  display: block;
  transform: rotate(0deg);
  transition: all 200ms linear;

  &::before,
  &::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 60%;
    height: 20%;
    border-radius: 8px;
    background: #000; // Default color.
    transition: all 330ms linear;
  }

  &::before {
    transform: translate(-75%, -50%) rotate(45deg);
  }
  &::after {
    transform: translate(-25%, -50%) rotate(-45deg);
  }

  &.open {
    transform: rotate(90deg);
  }
}

.sort-icon {
  width: 100%;
  height: 100%;
  padding: var(--spacing);
  box-sizing: border-box;
  position: relative;

  > div {
    background: var(--app-button);
    height: 3px;
    width: calc(100% - 16px);
    border-radius: 8px;
    position: absolute;
    top: 50%;
    left: var(--spacing);
    transform: translate(0, -50%);

    &:nth-child(1) {
      top: calc(50% - 6px);
    }

    &:nth-child(2) {
      width: calc(85% - 16px);
    }
    &:nth-child(3) {
      width: calc(70% - 16px);
      top: calc(50% + 6px);
    }
  }
}

/* SVG ICONS */

.grayscale {
  --add-to-closet-1: #5c5c5c;
  --add-to-closet-2: #a1a1a1;
  --add-to-wishlist-1: #000000;
  --add-to-wishlist-2: #232323;
  --add-to-wishlist-3: #fff;
  --want-to-sell: #cfcfcf;
  --want-to-sell-text: #ffffff;
  --dream-dress: #cfcfcf;
  --dream-dress-text: #ffffff;
}
